package com.lyg.application.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.*;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import javax.validation.constraints.NotBlank;

 /**
 * 审批流程模板表;
 * @author : http://www.chiner.pro
 * @date : 2024-4-9
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "审批流程模板表",description = "")
@TableName("ta_node")
public class TaNode implements Serializable,Cloneable{
    
    @ApiModelProperty(name = "流程节点id",notes = "")
    @TableId(value = "node_id", type = IdType.ASSIGN_UUID)
    private String nodeId ;
    
    @NotBlank(message = "流程名字不能为空")
    @ApiModelProperty(name = "流程名字",notes = "")
    private String nodeName ;
    
    @ApiModelProperty(name = "流程部门id",notes = "")
    private String orgId ;
    
    @ApiModelProperty(name = "审批人id",notes = "")
    private String examineId ;
    
    @ApiModelProperty(name = "状态",notes = "")
    private Integer status ;
    
    @ApiModelProperty(name = "创建人",notes = "")
    @TableField(fill = FieldFill.INSERT)
    private String createdBy ;
    
    @ApiModelProperty(name = "创建时间",notes = "")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createdTime ;
    
    @ApiModelProperty(name = "更新人",notes = "")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updatedBy ;
    
    @ApiModelProperty(name = "更新时间",notes = "")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updatedTime ;

}