package com.lyg.application.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.*;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import javax.validation.constraints.NotBlank;

 /**
 * 项目;
 * @author : http://www.chiner.pro
 * @date : 2024-4-9
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "项目",description = "")
@TableName("ta_project")
public class TaProject implements Serializable,Cloneable{
    
    @ApiModelProperty(name = "项目id",notes = "")
    @TableId(value = "project_id", type = IdType.ASSIGN_UUID)
    private String projectId ;
    
    @NotBlank(message = "项目名称不能为空")
    @ApiModelProperty(name = "项目名称",notes = "")
    private String projectName ;
    
    @ApiModelProperty(name = "项目编号",notes = "")
    private String projectCode ;
    
    @ApiModelProperty(name = "项目类型",notes = "")
    private String typeCode ;
    
    @NotBlank(message = "类型名称不能为空")
    @ApiModelProperty(name = "类型名称",notes = "")
    private String typeName ;
    
    @ApiModelProperty(name = "发起人id",notes = "")
    private String initiatorId ;
    
    @NotBlank(message = "发起人名称不能为空")
    @ApiModelProperty(name = "发起人名称",notes = "")
    private String initiatorName ;
    
    @ApiModelProperty(name = "发起机构id",notes = "")
    private String initiatorOrgId ;
    
    @NotBlank(message = "发起机构名称不能为空")
    @ApiModelProperty(name = "发起机构名称",notes = "")
    private String initiatorOrgName ;
    
    @ApiModelProperty(name = "申请说明",notes = "")
    private String applyRemark ;
    
    @ApiModelProperty(name = "当前节点(OA流程)",notes = "")
    private String currentNode ;
    
    @ApiModelProperty(name = "归属条线id",notes = "")
    private String lineId ;
    
    @NotBlank(message = "归属条线名称不能为空")
    @ApiModelProperty(name = "归属条线名称",notes = "")
    private String lineName ;
    
    @ApiModelProperty(name = "立项报告id",notes = "")
    private String projectReportId ;
    
    @ApiModelProperty(name = "项目起始时间",notes = "")
    private LocalDateTime startDate ;
    
    @ApiModelProperty(name = "项目结束时间",notes = "")
    private LocalDateTime endDate ;
    
    @ApiModelProperty(name = "状态",notes = "")
    private Integer status ;
    
    @ApiModelProperty(name = "创建人",notes = "")
    @TableField(fill = FieldFill.INSERT)
    private String createdBy ;
    
    @ApiModelProperty(name = "创建时间",notes = "")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createdTime ;
    
    @ApiModelProperty(name = "更新人",notes = "")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updatedBy ;
    
    @ApiModelProperty(name = "更新时间",notes = "")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updatedTime ;
    
    @ApiModelProperty(name = "删除标志",notes = "")
    @TableField(fill = FieldFill.INSERT)
    private Integer deleted ;

}