package com.lyg.application.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.*;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import javax.validation.constraints.NotBlank;

 /**
 * 关联附件表;
 * @author : http://www.chiner.pro
 * @date : 2024-4-9
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "关联附件表",description = "")
@TableName("ta_source_attach")
public class TaSourceAttach implements Serializable,Cloneable{
    
    @ApiModelProperty(name = "连接Id",notes = "")
    @TableId(value = "source_attach_id", type = IdType.ASSIGN_UUID)
    private String sourceAttachId ;
    
    @ApiModelProperty(name = "来源Id",notes = "")
    private String sourceId ;
    
    @NotBlank(message = "来源表名不能为空")
    @ApiModelProperty(name = "来源表名",notes = "")
    private String sourceName ;
    
    @ApiModelProperty(name = "附件Id",notes = "")
    private String attachId ;
    
    @ApiModelProperty(name = "状态",notes = "0 不正常 1正常")
    private Integer status ;
    
    @ApiModelProperty(name = "创建人",notes = "")
    @TableField(fill = FieldFill.INSERT)
    private String createdBy ;
    
    @ApiModelProperty(name = "创建时间",notes = "")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createdTime ;
    
    @ApiModelProperty(name = "更新人",notes = "")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updatedBy ;
    
    @ApiModelProperty(name = "更新时间",notes = "")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updatedTime ;
    
    @ApiModelProperty(name = "删除标志",notes = "")
    @TableField(fill = FieldFill.INSERT)
    private Integer deleted ;

}