package com.lyg.application.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.*;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import javax.validation.constraints.NotBlank;

 /**
 * 条线管理;
 * @author : http://www.chiner.pro
 * @date : 2024-4-9
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "条线管理",description = "")
@TableName("td_line")
public class TdLine implements Serializable,Cloneable{
    
    @ApiModelProperty(name = "条线-id",notes = "")
    @TableId(value = "line_id", type = IdType.ASSIGN_UUID)
    private String lineId ;
    
    @ApiModelProperty(name = "父级id",notes = "")
    private String parentId ;
    
    @NotBlank(message = "条线名称不能为空")
    @ApiModelProperty(name = "条线名称",notes = "")
    private String lineName ;
    
    @ApiModelProperty(name = "状态",notes = "")
    private Integer status ;
    
    @ApiModelProperty(name = "创建人",notes = "")
    @TableField(fill = FieldFill.INSERT)
    private String createdBy ;
    
    @ApiModelProperty(name = "创建时间",notes = "")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createdTime ;
    
    @ApiModelProperty(name = "更新人",notes = "")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updatedBy ;
    
    @ApiModelProperty(name = "更新时间",notes = "")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updatedTime ;
    
    @ApiModelProperty(name = "删除标志",notes = "")
    @TableField(fill = FieldFill.INSERT)
    private Integer deleted ;

}