package com.lyg.application.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.*;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import javax.validation.constraints.NotBlank;

 /**
 * 报告模板表;
 * @author : http://www.chiner.pro
 * @date : 2024-4-9
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "报告模板表",description = "")
@TableName("td_template")
public class TdTemplate implements Serializable,Cloneable{
    
    @ApiModelProperty(name = "模板id",notes = "")
    @TableId(value = "template_id", type = IdType.ASSIGN_UUID)
    private String templateId ;
    
    @NotBlank(message = "模板标题名不能为空")
    @ApiModelProperty(name = "模板标题名",notes = "")
    private String templateTitleName ;
    
    @ApiModelProperty(name = "模板内容",notes = "")
    private String templateContent ;
    
    @ApiModelProperty(name = "状态",notes = "0 不正常 1正常")
    private Integer status ;
    
    @ApiModelProperty(name = "创建人",notes = "")
    @TableField(fill = FieldFill.INSERT)
    private String createdBy ;
    
    @ApiModelProperty(name = "创建时间",notes = "")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createdTime ;
    
    @ApiModelProperty(name = "更新人",notes = "")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updatedBy ;
    
    @ApiModelProperty(name = "更新时间",notes = "")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updatedTime ;

}